Subject: Re: linux-next: Tree for Oct 25 (pci/ats.c)

From: Ingo Molnar <[email-masked]>
Date: Thu, 10 Nov 2011 14:09:01 +0100

* Randy Dunlap <[email-masked]> wrote:

> On 10/25/11 02:36, Stephen Rothwell wrote:
> > Hi all,
> 
> 
> When CONFIG_PCI_IOV is not enabled:
> (probably because PCI_PRI selects PCI_ATS even when PCI_IOV is not
> enabled)
> 
> drivers/pci/ats.c:37:5: error: 'struct pci_dev' has no member named 'ats'
> drivers/pci/ats.c:44:11: error: 'struct pci_dev' has no member named 'ats'
> drivers/pci/ats.c:45:5: error: 'struct pci_dev' has no member named 'ats'
> drivers/pci/ats.c:55:5: error: redefinition of 'pci_enable_ats'
> drivers/pci/ats.c:60:2: error: 'struct pci_dev' has no member named 'ats'
> drivers/pci/ats.c:60:2: error: 'struct pci_dev' has no member named 'ats'
> drivers/pci/ats.c:66:52: error: 'struct pci_dev' has no member named 'physfn'
> drivers/pci/ats.c:68:3: error: 'struct pci_dev' has no member named 'sriov'
> drivers/pci/ats.c:69:11: error: 'struct pci_dev' has no member named 'ats'
> drivers/pci/ats.c:70:13: error: 'struct pci_dev' has no member named 'ats'
> drivers/pci/ats.c:75:8: error: 'struct pci_dev' has no member named 'ats'
> drivers/pci/ats.c:76:21: error: 'struct pci_dev' has no member named 'sriov'
> drivers/pci/ats.c:90:32: error: 'struct pci_dev' has no member named 'ats'
> drivers/pci/ats.c:92:5: error: 'struct pci_dev' has no member named 'ats'
> drivers/pci/ats.c:102:6: error: redefinition of 'pci_disable_ats'
> drivers/pci/ats.c:106:2: error: 'struct pci_dev' has no member named 'ats'
> drivers/pci/ats.c:106:2: error: 'struct pci_dev' has no member named 'ats'
> drivers/pci/ats.c:108:31: error: 'struct pci_dev' has no member named 'ats'
> drivers/pci/ats.c:110:32: error: 'struct pci_dev' has no member named 'ats'
> drivers/pci/ats.c:112:5: error: 'struct pci_dev' has no member named 'ats'
> drivers/pci/ats.c:115:52: error: 'struct pci_dev' has no member named 'physfn'
> drivers/pci/ats.c:117:3: error: 'struct pci_dev' has no member named 'sriov'
> drivers/pci/ats.c:118:7: error: 'struct pci_dev' has no member named 'ats'
> drivers/pci/ats.c:119:12: error: 'struct pci_dev' has no member named 'ats'
> drivers/pci/ats.c:121:21: error: 'struct pci_dev' has no member named 'sriov'
> drivers/pci/ats.c:141:5: error: redefinition of 'pci_ats_queue_depth'
> drivers/pci/ats.c:149:9: error: 'struct pci_dev' has no member named 'ats'
> next-2011-1025/drivers/pci/ats.c:150:13: error: 'struct pci_dev' has no member named 'ats'

This build failure is still present upstream, in v3.2-rc1 and later 
kernels.

Thanks,

	Ingo